package com.danitheskunk.skunkworks;

public final class Vec3f {
	public static Vec3f ONE = new Vec3f(1, 1, 1);
	public static Vec3f ZERO = new Vec3f(0, 0, 0);
	private final double x, y, z;

	public Vec3f(double x, double y, double z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getZ() {
		return z;
	}
}
